//----------------------------------------------------------------------------
// Sicomp.hpp - dcc32 generated hdr (DO NOT EDIT) rev: -2
// From: Sicomp.pas
//----------------------------------------------------------------------------
#ifndef SicompHPP
#define SicompHPP
//----------------------------------------------------------------------------
#ifndef RegistryHPP
#include <Registry.hpp>
#endif

#ifndef RXPropsHPP
#include <RXProps.hpp>
#endif

#ifndef TypInfoHPP
#include <TypInfo.hpp>
#endif

#ifndef DsgnIntfHPP
#include <DsgnIntf.hpp>
#endif

#ifndef ButtonsHPP
#include <Buttons.hpp>
#endif

#ifndef StdCtrlsHPP
#include <StdCtrls.hpp>
#endif

#ifndef DialogsHPP
#include <Dialogs.hpp>
#endif

#ifndef FormsHPP
#include <Forms.hpp>
#endif

#ifndef ControlsHPP
#include <Controls.hpp>
#endif

#ifndef GraphicsHPP
#include <Graphics.hpp>
#endif

#ifndef ClassesHPP
#include <Classes.hpp>
#endif

#ifndef MessagesHPP
#include <Messages.hpp>
#endif

#ifndef WindowsHPP
#include <Windows.hpp>
#endif

#ifndef SysUtilsHPP
#include <SysUtils.hpp>
#endif

#ifndef SystemHPP
#include <System.hpp>
#endif

namespace Sicomp
{
//-- type declarations -------------------------------------------------------
class __declspec(delphiclass) TsiLineEditor;
class __declspec(pascalimplementation) TsiLineEditor : public Dsgnintf::TComponentEditor
{
	typedef TsiLineEditor ThisClass;
	typedef Dsgnintf::TComponentEditor inherited;
	
public:
	virtual System::Integer __fastcall GetVerbCount(void);
	virtual System::AnsiString __fastcall GetVerb(System::Integer Index);
	virtual void __fastcall ExecuteVerb(System::Integer Index);
public:
	/* !! TComponentEditor.Create */ __fastcall virtual TsiLineEditor(Classes::TComponent *AComponent, 
		Dsgnintf::TFormDesigner *ADesigner) : Dsgnintf::TComponentEditor(AComponent, ADesigner) { }
	
public:
	/* !! TObject.Destroy */ __fastcall virtual ~TsiLineEditor(void) { }
	
};

enum TPositionArrow { paNone, paLeft, paRight, paBoth };

enum TLineOrientation { loHorizontal, loVertical };

class __declspec(delphiclass) TsiLine;
class __declspec(pascalimplementation) TsiLine : public Controls::TGraphicControl
{
	typedef TsiLine ThisClass;
	typedef Controls::TGraphicControl inherited;
	
private:
	TPositionArrow FArrowPos;
	TLineOrientation FOrientation;
	Graphics::TColor FLineColor;
	TPenStyle FLineStyle;
	System::Integer FX2;
	System::Integer FY2;
	System::Integer FLineWidth;
	System::Integer FArrowLength;
	Classes::TNotifyEvent FOnClick;
	Classes::TNotifyEvent FOnPaint;
	void __fastcall SetColor(Graphics::TColor Value);
	void __fastcall SetLineStyle(Graphics::TPenStyle Value);
	void __fastcall SetX2(System::Integer Value);
	void __fastcall SetY2(System::Integer Value);
	void __fastcall SetLineWidth(System::Integer Value);
	void __fastcall SetArrowLength(System::Integer Value);
	void __fastcall SetArrowPos(TPositionArrow Value);
	void __fastcall SetOrientation(TLineOrientation Value);
	
protected:
	virtual void __fastcall Paint(void);
	virtual void __fastcall Click(void);
	
public:
	__fastcall virtual TsiLine(Classes::TComponent *AOwner);
	
__published:
	__property Graphics::TColor LineColor = {read=FLineColor, write=SetColor, default=0};
	__property Graphics::TPenStyle LineStyle = {read=FLineStyle, write=SetLineStyle, default=0};
	__property System::Integer X2 = {read=FX2, write=SetX2, default=0};
	__property System::Integer Y2 = {read=FY2, write=SetY2, default=0};
	__property System::Integer LineWidth = {read=FLineWidth, write=SetLineWidth, default=1};
	__property System::Integer ArrowLength = {read=FArrowLength, write=SetArrowLength, default=5};
	__property TPositionArrow ArrowPos = {read=FArrowPos, write=SetArrowPos, default=0};
	__property TLineOrientation Orientation = {read=FOrientation, write=SetOrientation, default=0};
	__property Classes::TNotifyEvent OnClick = {read=FOnClick, write=FOnClick};
	__property Classes::TNotifyEvent OnPaint = {read=FOnPaint, write=FOnPaint};
	__property Width ;
	__property Height ;
	__property Visible ;
	__property Top ;
	__property Left ;
public:
	/* !! TGraphicControl.Destroy */ __fastcall virtual ~TsiLine(void) { }
	
};

class __declspec(delphiclass) TsiLang;
class __declspec(pascalimplementation) TsiLang : public Classes::TComponent
{
	typedef TsiLang ThisClass;
	typedef Classes::TComponent inherited;
	
private:
	System::Integer FActLang;
	System::Integer FNumLang;
	Classes::TNotifyEvent FOnChangeLanguage;
	void __fastcall SetActLang(System::Integer Value);
	void __fastcall SetNumLang(System::Integer Value);
	Forms::TForm *__fastcall GetForm(void);
	void __fastcall SetCaptions(Classes::TStrings *Value);
	
protected:
	__property Forms::TForm * Form = {read=GetForm, nodefault};
	
public:
	Classes::TStrings *FCaptions;
	virtual void __fastcall BuildList(void);
	virtual void __fastcall ChangeLanguage(void);
	__fastcall virtual TsiLang(Classes::TComponent *AOwner);
	__fastcall virtual ~TsiLang(void);
	virtual void __fastcall Notification(Classes::TComponent *AComponent, Classes::TOperation Operation
		);
	
__published:
	__property Classes::TStrings * Captions = {read=FCaptions, write=SetCaptions, nodefault};
	__property System::Integer ActiveLanguage = {read=FActLang, write=SetActLang, default=1};
	__property System::Integer NumOfLanguages = {read=FNumLang, write=SetNumLang, default=1};
	__property Classes::TNotifyEvent OnChangeLanguage = {read=FOnChangeLanguage, write=FOnChangeLanguage
		};
};

enum TMyHKeyType { siHKEY_CURRENT_USER, siHKEY_CLASSES_ROOT, siHKEY_LOCAL_MACHINE, siHKEY_USERS, siHKEY_CURRENT_CONFIG, 
	siHKEY_DYN_DATA };

class __declspec(delphiclass) TsiFormStorage;
class __declspec(pascalimplementation) TsiFormStorage : public Classes::TComponent
{
	typedef TsiFormStorage ThisClass;
	typedef Classes::TComponent inherited;
	
private:
	System::Boolean FActive;
	System::AnsiString FSubKey;
	TMyHKeyType FRegRootKey;
	System::Integer FRootKey;
	Forms::TForm *FForm;
	void __fastcall SetMyActive(System::Boolean Value);
	void __fastcall SetSubKey( System::AnsiString Value);
	void __fastcall SetRegRootKey(TMyHKeyType Value);
	Forms::TForm *__fastcall GetForm(void);
	
protected:
	__property Forms::TForm * Form = {read=GetForm, nodefault};
	void __fastcall FormDestroing(System::TObject *Sender);
	
public:
	__fastcall virtual TsiFormStorage(Classes::TComponent *AOwner);
	__fastcall virtual ~TsiFormStorage(void);
	virtual void __fastcall Loaded(void);
	
__published:
	__property System::Boolean Active = {read=FActive, write=SetMyActive, default=1};
	__property TMyHKeyType RegRootKey = {read=FRegRootKey, write=SetRegRootKey, default=0};
	__property System::AnsiString SubKey = {read=FSubKey, write=SetSubKey, nodefault};
};

//-- var, const, procedure ---------------------------------------------------
extern System::Word TextAlignments[3];

}	/* namespace Sicomp */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Sicomp;
#endif
//-- end unit ----------------------------------------------------------------
#endif	// Sicomp
